Notus API
Funds

Quote a cancel of a queued fund request

Creates a UserOperation to cancel an Enzyme Onyx deposit or redeem request after canCancelAt. The original operation must be awaiting the manager. Execute with the existing crypto execute-user-op endpoint.

POST
/api/v1/fund/operations/{userOperationHash}/cancel

Authorization

x-api-key
x-api-key<token>

In: header

Path Parameters

userOperationHash*string

User operation hash of the queued Enzyme Onyx deposit or redeem awaiting the manager.

Match^0x[a-fA-F0-9]{64}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/fund/operations/string/cancel" \  -H "Content-Type: application/json" \  -d '{    "walletAddress": "0x6E397DDf51D9f15DbE0414538e7529f51f2E5464",    "payGasFeeToken": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"  }'
{  "userOperationHash": "0x2aac7a66d5331454eafc9b981be3596ad08a40dad24883e3b9c4a5362cd7f7e1",  "revertReason": {    "decoded": "ERC-20 insufficient balance. Address 0xf12534a4939c7fbda50f893774a9525265fe1a9a has 120. The operation requested 200.",    "raw": "0xe450d38c000000000000000000000000f12534a4939c7fbda50f893774a9525265fe1a9a0000000000000000000000000000000000000000000000068155a43676e0000000000000000000000000000000000000000000000000000ad78ebc5ac6200000",    "utf8": "\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000�%4�����\u000f�7t�RRe�\u001a�\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0006�U�6v�\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\u0000\n׎�Z� \u0000\u0000"  },  "authorization": {    "chainId": 42161,    "address": "0xd6cedde84be40893d153be9d467cd6ad37875b28",    "nonce": 10,    "hash": "0x777811ae5d51875409b9978ddc1b40a9da1bbe9570040bdd7c5f186d70ceceba"  },  "walletAddress": "0x6E397DDf51D9f15DbE0414538e7529f51f2E5464",  "expiresAt": "2026-08-04T18:00:00.000Z",  "status": "CREATED",  "settlement": "queued",  "externalRequestId": "123",  "canCancelAt": "2026-08-04T16:30:00.000Z",  "estimatedGasFees": {    "payGasFeeToken": "0xc2132d05d31c914a87c6611c10748aeb04b58e8f",    "gasFeeTokenAmount": "12.345",    "gasFeeTokenAmountUSD": "0.321",    "maxGasFeeNative": "string"  },  "chain": {    "id": 137,    "name": "POLYGON",    "logo": "https://logopolygon.com"  },  "fundId": "f1e2d3c4-b5a6-9780-1234-567890abcdef",  "metadata": {    "metadata": {      "key": "value"    }  }}